- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# sys_mbox Struct Reference

## Data Fields
uInt16 | first
uInt16 | last
sys_sem * | mail
void * | msgs [SYS_MBOX_SIZE]
sys_sem * | mutex

## Detailed Description

Definition at line 108 of file sys_arch.c.

## Field Documentation

uInt16 sys_mbox::first

Definition at line 109 of file sys_arch.c.

Referenced by sys_arch_mbox_fetch(), sys_mbox_new(), and sys_mbox_post().

uInt16 sys_mbox::last

Definition at line 109 of file sys_arch.c.

Referenced by sys_arch_mbox_fetch(), sys_mbox_new(), and sys_mbox_post().

struct sys_sem* sys_mbox::mail

Definition at line 111 of file sys_arch.c.

Referenced by sys_arch_mbox_fetch(), sys_mbox_free(), sys_mbox_new(), and sys_mbox_post().

void* sys_mbox::msgs[SYS_MBOX_SIZE]

Definition at line 110 of file sys_arch.c.

Referenced by sys_arch_mbox_fetch(), and sys_mbox_post().

struct sys_sem* sys_mbox::mutex

Definition at line 112 of file sys_arch.c.

Referenced by sys_arch_mbox_fetch(), sys_mbox_free(), sys_mbox_new(), and sys_mbox_post().

The documentation for this struct was generated from the following file:

- src/sys/net/net/sys_arch.c